/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.junit.impl;

import javax.xml.namespace.QName;

import org.ow2.petals.component.framework.jbidescriptor.generated.MEPType;

public class ConsumesServiceConfiguration extends PCServiceConfiguration {

    private QName operation;

    private MEPType mep;

    public ConsumesServiceConfiguration(final QName interfaceQName, final QName serviceQName,
            final String endpointName) {
        super(interfaceQName, serviceQName, endpointName);
        assert interfaceQName != null;
    }

    public QName getOperation() {
        return operation;
    }

    public MEPType getMEP() {
        return mep;
    }

    /**
     * 
     * @param mep
     *            CDK MEP. Can't be null
     */
    public void setMEP(final MEPType mep) {
        assert mep != null;
        this.mep = mep;
    }

    public void setOperation(final QName operation) {
        assert operation != null;
        this.operation = operation;
    }
}
