/**
 * Copyright (c) 2011-2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.junit.impl.mock;

import javax.xml.namespace.QName;

import org.ow2.petals.jbi.servicedesc.endpoint.Location;
import org.ow2.petals.jbi.servicedesc.endpoint.impl.JBIServiceEndpointImpl;
import org.w3c.dom.Document;

/**
 * @author Adrien Ruffie - EBM WebSourcing
 */
public class MockServiceEndpoint extends JBIServiceEndpointImpl {

    private static final long serialVersionUID = -481922882417391022L;

	private Document description;

    /**
     * For endpoint activated by component
     */
    public MockServiceEndpoint(final String endpointName, final QName serviceName, final QName[] interfacesName,
            final Location location, final Document description) {
        super(EndpointType.INTERNAL, endpointName, serviceName, interfacesName, location);
        this.description = description;
    }

    /**
     * For endpoint activated by tests
     */
    public MockServiceEndpoint(final String endpointName, final QName serviceName, final QName interfaceName) {
        this(endpointName, serviceName, interfaceName == null ? new QName[0] : new QName[] { interfaceName },
                new Location("test", "test"), null);
    }

    /**
     * For endpoint activated by tests
     */
    public MockServiceEndpoint(final String endpointName, final QName serviceName, final QName interfaceName,
            final Document description) {
        this(endpointName, serviceName, interfaceName == null ? new QName[0] : new QName[] { interfaceName },
                new Location("test", "test"), description);
    }

	public Document getDescription() {
		return this.description;
	}
}
