/**
 * Copyright (c) 2015-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.component.framework.junit.rule;

import javax.xml.namespace.QName;

import org.ow2.petals.component.framework.junit.impl.ServiceConfiguration;

public interface NativeServiceConfigurationFactory {

    /**
     * Create a {@link ServiceConfiguration} for a native service of the component
     */
    public ServiceConfiguration create(final String nativeEndpointName);

    /**
     * @return The native service for which a service configurationmust be created
     */
    public QName getNativeService();

}
